=== debian/control ===
Source: rtl8814au
Section: kernel
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: jimmy <jimmy@jimmy-alpha>
Build-Depends: debhelper (>=9), dkms, git, sed
Standards-Version: 3.9.6
Homepage: http://www.realtek.com.tw/
Vcs-Git: https://github.com/coolshou/rtl8814au.git
Vcs-Browser: https://github.com/coolshou/rtl8814au

Package: rtl8814au-dkms
Architecture: all
Depends: ${misc:Depends}, dkms, linux-libc-dev, libc6-dev
XB-Modaliases: ${modaliases}
Description: dkms source for the rtl8814au network driver
 rtl8814au is the Linux device driver released for the RealTek RTL8814AU WiFi
 controllers with USB interface.
 .
 This package provides the dkms source code for the rtl8814au kernel module.
 Kernel source or headers are required to compile these modules.
