## rtl8814au 5.8.5.1%2Bgit20221029

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: rtl8814au
 Section: kernel
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: jimmy <jimmy@jimmy-alpha>
 Build-Depends: debhelper (>=9), dkms, git, sed
 Standards-Version: 3.9.6
 Homepage: http://www.realtek.com.tw/
-Vcs-Git: https://github.com/coolshou/rtl8814au.git
-Vcs-Browser: https://github.com/coolshou/rtl8814au
+Vcs-Browser: https://github.com/morrownr/8814au
 
 Package: rtl8814au-dkms
 Architecture: all
