=== debian/changelog ===
rtl8814au (5.8.5.1+git20250304-0~mx23+1) mx; urgency=medium

  * Prevent builds on kernal 6.14+

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 11 Apr 2025 14:15:27 -0400

rtl8814au (5.8.5.1+git20250304-0~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 05 Mar 2025 22:15:52 +0000

rtl8814au (5.8.5.1+git20250304-0~mx23) mx; urgency=medium

  * Support aadded for kernel 6.13

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 05 Mar 2025 17:13:57 -0500

rtl8814au (5.8.5.1+git20240328-1~mx23) mx; urgency=medium

  * Support added for kernels 6.8 & 6.9

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 11 Apr 2024 22:43:52 -0400

rtl8814au (5.8.5.1+git20231211-1~mx23) mx; urgency=medium

  * Support added for kernel 6.7

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 24 Jan 2024 22:51:44 -0500

rtl8814au (5.8.5.1+git20230614-1~mx23) mx; urgency=medium

  * Support for kernel 6.3
  * Build for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 16 Jun 2023 19:44:37 -0400

rtl8814au (5.8.5.1+git20221029-1~mx21) mx; urgency=medium

  * Support for kernel 6.1

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 29 Oct 2022 16:44:31 -0400

rtl8814au (5.8.5.1+git20220708-1~mx21) mx; urgency=medium

  * Support for 5.19.2 - 6.0 kernels

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 26 Aug 2022 12:01:58 -0400

rtl8814au (5.8.5.1+git20220708-0~mx21) mx; urgency=medium

  * New release to enable kwernel 5.19 support
  * Source switched to https://github.com/morrownr/8814au

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 10 Aug 2022 19:09:15 -0400

rtl8814au (5.8.5.1-1~mx21+3) mx; urgency=medium

  * Non-maintaner patch to enable kernel 5.17 support

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 14 Apr 2022 14:34:24 -0400

rtl8814au (5.8.5.1-1~mx21+2) mx; urgency=medium

  * Non-maintainer patch to enable kernel 5.15 support

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 21 Nov 2021 17:15:18 -0500
