## rtl8814au 5.8.5.1+git20240328

=== debian/changelog ===
rtl8814au (5.8.5.1+git20240328-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 11 Apr 2024 23:00:38 -0400

rtl8814au (5.8.5.1+git20240328-1~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 11 Apr 2024 22:57:27 -0400
