=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: jimmy <jimmy@jimmy-alpha>
-Build-Depends: debhelper (>=9), dkms, git, sed, dh-dkms
+Build-Depends: debhelper (>=12), dkms, git, sed
 Standards-Version: 3.9.6
 Homepage: http://www.realtek.com.tw/
 Vcs-Browser: https://github.com/morrownr/8814au
